#!/bin/sh
. `dirname $0`/../../func.sh



# check the devices with "media-ctl -p"
IPU0_CSI0_DEVICE_0="/dev/video2"
CAM_DEVICE_0="/dev/v4l-subdev3"
IPU0_CSI0_DEVICE_1="/dev/video5"
CAM_DEVICE_1="/dev/v4l-subdev7"

echo "starting gstreamer with two GRAY Sources ..."
echo "read camera_0 from CSI0 and camera_1 from CSI1 with 2592 x 1944"
echo "write side by side to 5184x1944 Pixel, convert to jpg and write to mt9p031_bw_dual_image.jpg"
echo "============================================================================================"
echo ""
echo "configure IPU/VPU with media_control"
echo "===================================="

media-ctl -r
media-ctl -V '"mt9p031 2-005d":0[fmt:Y8/2592x1944 (16,54)/2592x1944]'
media-ctl -V '"ipu0-csi0-sd":0[fmt:Y8/2592x1944]'
media-ctl -V '"ipu0-csi0-sd":1[fmt:Y8/2592x1944]'
#media-ctl -l '2:0 -> 1:0[1], 1:1 -> 2:0[1]'
#           Camera -> IPU0-CSI0-sd -> IPU0-CSI0-video (/dev/videoX)   

media-ctl -V '"mt9p031 2-0048":0[fmt:Y8/2592x1944 (16,54)/2592x1944]'
media-ctl -V '"ipu1-csi1-sd":0[fmt:Y8/2592x1944]'
media-ctl -V '"ipu1-csi1-sd":1[fmt:Y8/2592x1944]'
#media-ctl -l '9:0 -> 8:0[1], 8:1 -> 10:0[1]'
#           Camera -> IPU0-CSI0-sd -> IPU0-CSI0-video (/dev/videoX)    


gst-launch-1.0 videomixer name=mix  sink_0::xpos=0 sink_0::ypos=0 sink_1::xpos=2592 sink_1::ypos=0 ! videoconvert ! jpegenc ! multifilesink location=mt9p031_bw_dual_image.jpg \
   v4l2src num-buffers=3 device=$IPU0_CSI0_DEVICE_0 ! i2c addr=0x48 file=`dirname $0`/../../register-settings-mt9p031.txt show=0 dev=$CAM_DEVICE_0 ! \
   video/x-raw,format=GRAY8,depth=8,width=2592,height=1944,framerate=1/1 ! videoconvert ! mix. \
   v4l2src num-buffers=3 device=$IPU0_CSI0_DEVICE_1 ! i2c addr=0x5d file=`dirname $0`/../../register-settings-mt9p031.txt show=0 dev=$CAM_DEVICE_1 ! \
   video/x-raw,format=GRAY8,depth=8,width=2592,height=1944,framerate=1/1 ! videoconvert ! mix. 
